@import url('https://fonts.googleapis.com/css?family=Poppins:200,300,400,500,600,700,800,900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Kaushan+Script&display=swap');
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-style: 'Poppins', sans-serif;
}

section {
    position: relative;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    min-height: 100vh;
    background: url(../pictures/landing-bg.jpg);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

header {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    padding: 40px 50px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 1000;
}

header .logo {
    position: relative;
    color: #015b75;
    text-decoration: none;
    font-size: 30px;
    font-weight: 700;
    letter-spacing: 2px;
}

header .toggle {
    position: relative;
    width: 40px;
    height: 40px;
    background: url(../pictures/menu.png);
    background-size: 30px;
    background-position: center;
    background-repeat: no-repeat;
    cursor: pointer;
}

header .toggle.active {
    background: url(../pictures/close.png);
    background-size: 25px;
    background-position: center;
    background-repeat: no-repeat;
    cursor: pointer;
}

.content {
    padding: 50px;
}

.content h2 {
    font-size: 3em;
    line-height: 1em;
    color: #015b75;
    font-family: 'Kaushan Script', cursive;
}

.navigation {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    opacity: 0;
    visibility: hidden;
    transition: 0.2s;
}

.navigation.active {
    opacity: 1;
    visibility: visible;
}

.navigation ul {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.navigation ul li {
    list-style: none;
    position: relative;
    margin: 2px;
}

.navigation ul li a {
    position: relative;
    height: 42px;
    display: block;
    padding: 5px 10px;
    text-decoration: none;
    font-weight: 300;
    letter-spacing: 2px;
    overflow: hidden;
}

.navigation ul li a::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: green;
    transform: scaleX(0);
    transform-origin: left;
    transition: transform 0.5s ease-in-out;
    transition-delay: 0s;
}

.navigation ul li a:hover::before {
    transform: scaleX(1);
    transform-origin: right;
    transition: transform 0.5s ease-in-out;
    transition-delay: 0.5s;
}

.navigation ul li a span {
    position: relative;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: 0.5s;
    color: black;
    font-size: 20px;
    transition-delay: 0.5s;
}

.navigation ul li a:hover span:nth-child(1) {
    transform: translateY(-100%);
    transition-delay: 0s;
}

.navigation ul li a:hover span:nth-child(2) {
    transform: translateY(-100%);
    color: white;
    transition-delay: 0s;
}